<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\RigaOrdine;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('riga_ordine', function (Blueprint $table) {
            $table->string('stato')->nullable()->default(RigaOrdine::ORDINATO);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('riga_ordine', function (Blueprint $table) {
            $table->dropColumn('stato');
        });
    }
};
